Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Asynch_Write_Stream_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Write_Stream class. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Write_Stream_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Write_Stream_Impl:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACE_Asynch_Write_Stream_Impl (void)
virtual int | write (ACE_Message_Block &message_block, size_t bytes_to_write, const void *act, int priority, int signal_number)=0
virtual int | writev (ACE_Message_Block &message_block, size_t bytes_to_write, const void *act, int priority, int signal_number)=0
## Protected Member Functions
| ACE_Asynch_Write_Stream_Impl (void)
| Do-nothing constructor.

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Write_Stream class.

## Constructor & Destructor Documentation

ACE_Asynch_Write_Stream_Impl::~ACE_Asynch_Write_Stream_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Write_Stream_Impl::ACE_Asynch_Write_Stream_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual int ACE_Asynch_Write_Stream_Impl::write | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_write,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number
| ) | `[pure virtual]`

| This starts off an asynchronous write. Upto <bytes_to_write> will be written from the <message_block>. Implemented in ACE_Asynch_Write_File_Impl, ACE_POSIX_Asynch_Write_Stream, ACE_POSIX_Asynch_Write_File, ACE_WIN32_Asynch_Write_Stream, and ACE_WIN32_Asynch_Write_File.

virtual int ACE_Asynch_Write_Stream_Impl::writev | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_write,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number
| ) | `[pure virtual]`

| Same as above but with gather support, through chaining of composite message blocks using the continuation field. Implemented in ACE_Asynch_Write_File_Impl, ACE_WIN32_Asynch_Write_Stream, and ACE_WIN32_Asynch_Write_File.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp
- Asynch_IO_Impl.inl